package gov.va.med.esr.common.batchprocess;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Test Suite for the Common Batch Processes
 * 
 * @author Rajiv Patnaik
 * Created on Apr 7, 2006
 * @version 1.0
 * 
 * Copyright © 2006 VHA. All rights reserved
 */
public class BatchProcessTestSuite
{
	public static Test suite() {
		TestSuite suite = new TestSuite(
				"Test for gov.va.med.esr.common.batchprocess");
		
		suite.addTestSuite(EGTSettingProcessTest.class); 
		suite.addTestSuite(ExpireMeansTestBatchProcessTest.class);
		suite.addTestSuite(TestAacExportCommand.class);
		suite.addTestSuite(TestAacExportCommand.class);
		suite.addTestSuite(TestAacImportProcess.class);
		suite.addTestSuite(TestBatchProcessInvoker.class);
		suite.addTestSuite(TestBatchProcessScheduling.class);
		suite.addTestSuite(TestDataQueryBatchProcesses.class);
		suite.addTestSuite(TestHECLegacyDataSynchronizationConsumerProcess.class);
		suite.addTestSuite(TestOPPExtractProcess.class);
		suite.addTestSuite(TestHECLegacyDataSynchronizationProducerProcess.class);
		suite.addTestSuite(TestReceiveSignatureInformationFile.class);
        suite.addTestSuite(TestIVMDataSynchronizationProducerProcess.class);
        suite.addTestSuite(TestIVMDataSynchronizationExceptionConsumerProcess.class);
        suite.addTestSuite(TestIVMDataSynchronizationClearLoadErrorConsumerProcess.class);        
		suite.addTestSuite(TestRequestSSNVerificationProcess.class);
		suite.addTestSuite(TestSendNCOAAddressVerificationFileProcess.class);
		suite.addTestSuite(TestImport1095BResponsesPDF.class);
		
		return suite;
	}

}
